<!-- svelte-ignore a11y-missing-attribute -->
<html>
  <head>
    <script src="https://cdn.anychart.com/releases/8.7.1/js/anychart-core.min.js"></script>
    <script src="https://cdn.anychart.com/releases/8.7.1/js/anychart-radar.min.js"></script>
    <style type="text/css">
      html, body, #container1 {
        width: 100%;
        height: 300px;
        margin: 0;
        padding: 0;
        float: left;
      }
      html, body, #container{
        width: 100%;
        height: 300px;
        margin: 0;
        padding: 0;
        float: right; 
      }
      html, body, #container2{
        width: 100%;
        height: 300px;
        margin: 0;
        padding: 0;
        float: right; 
      }

    </style>
  </head>
  <body>
    <table class="columns">
      <tr>
        <td><div id="container1" style="border: 1px solid #ccc"></div></td>
        <td><div id="container" style="border: 1px solid #ccc"></div></td>
        <td><div id="container2" style="border: 1px solid #ccc"></div></td>
      </tr>
    </table>
  </body>
  <script>
    anychart.onDocumentReady(function () {
      // our data from bulbapedia
     var data1 = [
       {x: 'Jan', value: 69021},
       {x: "Feb", value: 53765},
       {x: "March", value:  29550},
       {x: "Apr", value: 20432.36062},
       {x:'May', value:13752.8528},
       {x: "June", value: 8616.696595},
       {x:'July', value:6812.083128},
       {x: "Aug", value: 6946.089419},
       {x:'Sept', value:32515.21381},
       {x: "Oct", value:19532.48215},
       {x:'Nov', value:35555.9298},
       {x:'Dec', value:58721.16099}

       
     ];

     var data2 = [
      {x: "Jan", value: 10914},
       {x: "Feb", value: 12603},
       {x: "March", value:20516},
       {x: "Apr", value: 24040.55274},
       {x:'May', value:28511.61126},
       {x: "June", value: 36986.79969},
       {x:'July', value:38430.13458},
       {x: "Aug", value: 36907.44941},
       {x:'Sept', value:13752.8528},
       {x: "Oct", value: 24085.35478},
       {x:'Nov', value:17689.6703},
       {x:'Dec', value:11878.26658}
     ];  
     var data3 = [
       {x: 'Jan', value: 74716.89288},
       {x: "Feb", value: 59882.51493},
       {x: "March", value: 57957.81},
       {x: "Apr", value: 28873.86074},
       {x:'May', value:17510.73481},
       {x: "June", value:12730.27383},
       {x:'July', value:9615.329666},
       {x: "Aug", value: 9452.890246},
       {x:'Sept', value:12717.99878},
       {x: "Oct", value:22147.32888	},
       {x:'Nov', value:38037.79844},
       {x:'Dec', value:51409.05488}

       
     ];

     var data4= [
      {x: "Jan", value:6824.970923},
       {x: "Feb", value: 8122.792979},
       {x: "March", value:11290.3915},
       {x: "Apr", value: 	14647.5124},
       {x:'May', value:23016.51459},
       {x: "June", value:28555.79081},
       {x:'July', value:33210.63969},
       {x: "Aug", value:31804.65503},
       {x:'Sept', value:27851.12114},
       {x: "Oct", value: 18742.92431},
       {x:'Nov', value:12993.76543},
       {x:'Dec', value:	9664.528076}
     ];  

     var data5= [
      {x: "Jan", value: 18220.26597	},
       {x: "Feb", value: 16742.29981	},
       {x: "March", value: 16265.53408},
       {x: "Apr", value: 	14146.8561},
       {x:'May', value: 12474.93934	},
       {x: "June", value: 10729.84951	},
       {x:'July', value: 9117.705979	},
       {x: "Aug", value: 8755.627752},
       {x:'Sept', value: 8345.738994},
       {x: "Oct", value: 11238.40642},
       {x:'Nov', value:13970.68994},
       {x:'Dec', value:	16679.64971}
     ];  

     var data6= [
      {x: "Jan", value: 18523.78026},
       {x: "Feb", value: 19127.5865},
       {x: "March", value: 19021.00614},
       {x: "Apr", value: 20372.20985},
       {x:'May', value: 21887.18012},
       {x: "June", value: 23267.59352},
       {x:'July', value: 23230.00698},
       {x: "Aug", value: 24100.54416},
       {x:'Sept', value: 23957.9301},
       {x: "Oct", value: 22465.19207},
       {x:'Nov', value:	21098.68616},
       {x:'Dec', value: 19062.11981}
     ];  


     

     // create radar chart
     var chart1 = anychart.radar();
     var chart2 = anychart.radar();
     var chart3 = anychart.radar();


     // set chart yScale settings
     chart1.yScale()
       .minimum(10000)
       .maximum(70000)
       .ticks({'interval':1000});

       chart2.yScale()
       .minimum(1000)
       .maximum(70000)
       .ticks({'interval':1000});

       chart3.yScale()
       .minimum(10000)
       .maximum(70000)
       .ticks({'interval':1000});


      // color alternating cells
      chart1.yGrid().palette(["gray 0.1", "gray 0.2"]);
      
      chart2.yGrid().palette(["gray 0.1", "gray 0.2"]);

      chart2.yGrid().palette(["gray 0.1", "gray 0.2"]);

      // create first series
      chart1.area(data1).name('heating').markers(true).fill("#E55934", 0.3).stroke("#E55934")
      // create second series
      chart1.area(data2).name('cooling').markers(true).fill("blue", 0.3).stroke("#9BC53D")
      // create third series
      chart2.area(data3).name('heating').markers(true).fill("#E55934", 0.3).stroke("#E55934")
      // create second series
      chart2.area(data4).name('cooling').markers(true).fill("blue", 0.3).stroke("#9BC53D")

      chart3.area(data5).name('heating').markers(true).fill("#E55934", 0.3).stroke("#E55934")
      // create second series
      chart3.area(data6).name('cooling').markers(true).fill("blue", 0.3).stroke("#9BC53D")
      // create third series

      // set chart title
      chart1.title("Baltimore")
        // set legend
        .legend(true);
        chart2.title("Chicago")
        // set legend
        .legend(true);

        chart3.title("LosAngeles")
        // set legend
        .legend(true);

      // set container id for the chart
      chart1.container('container1');
      chart2.container('container');
      chart3.container('container2');
      // initiate chart drawing
      chart1.draw();
      chart2.draw();
      chart3.draw();

    });
  </script>
</html>

